# Generated by Django 3.2.3 on 2021-05-30 17:32

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Group name')),
                ('faculty', models.CharField(max_length=100, verbose_name='Group faculty')),
                ('grade', models.PositiveIntegerField(verbose_name='Group grade')),
            ],
        ),
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('course_name', models.CharField(max_length=50, verbose_name='Course name')),
                ('description', models.CharField(max_length=100, verbose_name='Course description')),
                ('groups', models.ManyToManyField(to='study_course.Group', verbose_name='Groups in course')),
            ],
        ),
    ]
